> ## Documentation Index
> Fetch the complete documentation index at: https://docs.luminpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a refund for a charge



## OpenAPI

````yaml /openapi.json post /charges/{chargeId}/refunds
openapi: 3.0.0
info:
  title: LuminPay API
  description: Stablecoin merchant payments.
  version: '0.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /charges/{chargeId}/refunds:
    post:
      tags:
        - Refunds
      summary: Create a refund for a charge
      operationId: RefundsController_create
      parameters:
        - name: chargeId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRefundDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateRefundDto:
      type: object
      properties: {}

````